'''
Zaimplementuj klasę Pracownik umożliwiającą rejestrowanie czasu
pracy oraz wypłacanie pensji na podstawie zadanej stawki
godzinowej. Jeżeli pracownik będzie pracował więcej niż 8 godzin
(podczas pojedynczej rejestracji czasu) to kolejne godziny policz
jako nadgodziny (z podwójną stawką godzinową).
Przykład użycia:
>>> p = Pracownik('Jan', 'Nowak', 100.0)
>>> p.praca(5)
>>> p.praca(5)
>>> p.wyplata()
1000.0
>>> p.wyplata()
0.0
>>> p.praca(10)
>>> p.wyplata()
1200.0
'''

class Pracownik:
    def __init__(self, imie, nazwisko, stawka):
        self.imie = imie
        self.nazwisko = nazwisko
        self.stawka = stawka
        self.suma_godzin = 0

    def praca(self, godziny):
        self.suma_godzin += godziny

    def wyplata(self):
        return self.suma_godzin * self.stawka


p = Pracownik('Jan', 'Nowak', 100.0)
p.praca(6)
p.praca(4)
wynik = p.wyplata()
print(wynik)
